import { StyleSheet } from "react-native";
import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";

const styles = StyleSheet.create({
  fieldTitle: {
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
    marginTop: windowHeight(11),
    marginBottom: windowHeight(8),
    fontSize: fontSizes.FONT18,
  },
  descriptionField: {
    backgroundColor: appColors.whiteColor,
    textAlignVertical: "top",
    borderWidth: windowHeight(1.3),
    borderColor: appColors.loaderPrimary,
    padding: windowHeight(9),
    borderRadius: windowHeight(15),
    height: windowHeight(100),
    paddingHorizontal: windowHeight(13),
    marginTop: windowHeight(1.5),
  },
  dropDownContainer: {
    backgroundColor: appColors.whiteColor,
    borderColor: appColors.border,
    marginBottom: windowHeight(5),
    borderRadius: windowHeight(35),
    color: appColors.subtitle,
    borderWidth: windowWidth(1.3),
  },
  imgContainer: {
    flexWrap: "wrap",
    gap: 10,
  },
  imgView: {
    width: windowHeight(80),
    height: windowHeight(80),
    right: windowHeight(2),
    borderWidth: windowHeight(1),
    borderRadius: windowHeight(15),
    paddingHorizontal: windowWidth(15),
    alignItems: "center",
    paddingTop: windowHeight(10),
  },
  closeIcon: {
    position: "absolute",
    zIndex: 2,
    right: windowHeight(1),
    backgroundColor: appColors.modelBg,
    borderTopRightRadius: windowHeight(4),
  },
  img: {
    width: "100%",
    height: "100%",
    borderRadius: windowHeight(8),
    resizeMode: "cover",
  },
  docSelection: {
    backgroundColor: appColors.whiteColor,
    borderWidth: windowHeight(1.5),
    borderColor: appColors.border,
    height: windowHeight(80),
    padding: windowHeight(8),
    top: windowHeight(3),
    borderRadius: windowHeight(15),
  },
  docContainer: {
    borderColor: appColors.loaderPrimary,
    height: "100%",
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowWidth(15),
  },
  uploadText: {
    color: appColors.regularText,
    fontFamily: appFonts.regular,
    marginVertical: windowHeight(4),
  },
  submitBtn: {
    backgroundColor: appColors.blackColor,
    height: windowHeight(39),
    justifyContent: "center",
    alignItems: "center",
    borderRadius: windowHeight(35),
    marginTop: windowHeight(25),
    marginBottom: windowHeight(25),
    marginHorizontal: windowWidth(15),
  },
  submitText: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT19,
    color: appColors.whiteColor,
  },
  errorText: {
    color: appColors.alertRed,
    bottom: windowHeight(0.8),
    fontSize: fontSizes.FONT14SMALL,
  },
  view: {
    borderWidth: windowHeight(0.45),
    borderRadius: windowHeight(15),
    paddingHorizontal: windowWidth(15),
    backgroundColor: appColors.whiteColor,
    marginHorizontal: windowWidth(15),
    paddingBottom: windowHeight(18),
    marginTop: windowHeight(15),
    borderColor: appColors.whiteColor,
  },
  primaryText: {
    fontSize: fontSizes.FONT15,
  },
});

export default styles;
